Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## http://www.bea.com/ns/weblogic/90/domain
complexType domainType

    {http://www.w3.org/2001/XMLSchema}anyType
      {http://www.bea.com/ns/weblogic/90/domain}configurationType
          {http://www.bea.com/ns/weblogic/90/domain}domainType

Model
  `<...>
  name?, notes?, last-modification-time?, active?, security-configuration?, security?, jta?, deployment-configuration?, wtc-server*, log?, snmp-agent?, root-directory?, console-enabled?, console-context-path?, console-extension-directory?, server*, cluster*, file-t3*, messaging-bridge*, production-mode-enabled?, embedded-ldap?, administration-port-enabled?, administration-port?, archive-configuration-count?, config-backup-enabled?, configuration-version?, administration-m-bean-auditing-enabled?, configuration-audit-type?, cluster-constraints-enabled?, app-deployment*, library*, domain-library*, ws-reliable-delivery-policy*, jdbc-data-source-factory*, machine*, xml-entity-cache*, xml-registry*, file-realm*, caching-realm*, realm*, password-policy*, custom-realm*, ldap-realm*, nt-realm*, rdbms-realm*, unix-realm*, jms-server*, virtual-host*, migratable-target*, ejb-container?, web-app-container?, jmx?, self-tuning?, path-service*, jms-bridge-destination*, bridge-destination*, shutdown-class*, startup-class*, mail-session*, jolt-connection-pool*, log-filter*, file-store*, jdbc-store*, jms-interop-module*, jms-system-resource*, custom-resource*, foreign-jndi-provider*, admin-server-name?, administration-protocol?, wldf-system-resource*, jdbc-system-resource*, saf-agent*, wlec-connection-pool*, error-handling*, remote-saf-context*, migratable-rmi-service*, webservice-security*, jms-connection-consumer*, auto-deploy-for-submodules-enabled?
  </...>`

Prohibited substitutions (block)
  none (extensions and restrictions are allowed)

Usage
  Derived types: none
  Components using this type: none

Documentation

  A WebLogic Domain is a group of servers and/or clusters which are administered as a group.

  MBean: `DomainMBean`

Nested Element Summary
`annonymous type derived from string` | `name` optional
`string` | `notes` optional Optional information that you can include to describe this configuration.
`long` | `last-modification-time` optional Return the last time this domain was updated.
`boolean` | `active` optional A WebLogic Domain is a group of servers and/or clusters which are administered as a group.
`anyType` | `security-configuration` optional Return the (new) security configuration for this domain.
`anyType` | `security` optional Return the (old) security configuration for this domain.
`anyType` | `jta` optional Return the JTA configuration for this Domain.
`anyType` | `deployment-configuration` optional Return the deployment configuration for this Domain.
`anyType` | `wtc-server` 0...∞ Return the WTCServerMBeans for this Domain.
`anyType` | `log` optional Return the domain logfile configuration for this domain.
`anyType` | `snmp-agent` optional Return the SNMPAgentMBean for this domain.
`string` | `root-directory` optional Return the root directory for the domain.
`boolean` | `console-enabled` optional A WebLogic Domain is a group of servers and/or clusters which are administered as a group.
`string` | `console-context-path` optional The context path that you want to use in URLs that specify the Administration Console.
`string` | `console-extension-directory` optional Returns the directory path that console extensions are loaded from.
`anyType` | `server` 0...∞ Returns the ServerMBeans representing the servers that have been configured to be part of this domain.
`anyType` | `cluster` 0...∞ Returns the ClusterMBeans representing the cluster that have been configured to be part of this domain.
`anyType` | `file-t3` 0...∞
`anyType` | `messaging-bridge` 0...∞ Returns the MessagingBridgeMBean representing the messaging bridges that have been configured to be part of this domain.
`boolean` | `production-mode-enabled` optional A WebLogic Domain is a group of servers and/or clusters which are administered as a group.
`anyType` | `embedded-ldap` optional Returns the embedded LDAP configuration for this domain.
`boolean` | `administration-port-enabled` optional
`annonymous type derived from int` | `administration-port` optional The common secure administration port for this WebLogic Server domain.
`int` | `archive-configuration-count` optional The number of archival versions of `config.`
`boolean` | `config-backup-enabled` optional A WebLogic Domain is a group of servers and/or clusters which are administered as a group.
`string` | `configuration-version` optional The release identifier for the configuration.
`boolean` | `administration-m-bean-auditing-enabled` optional A WebLogic Domain is a group of servers and/or clusters which are administered as a group.
`annonymous type derived from string` | `configuration-audit-type` optional Returns the criteria used for auditing configuration events (configuration changes and other operations): `CONFIG_CHANGE_NONE Configuration events will neither be written to the server log or directed to the Security Audit Framework.`
`boolean` | `cluster-constraints-enabled` optional A WebLogic Domain is a group of servers and/or clusters which are administered as a group.
`anyType` | `app-deployment` 0...∞ The collection of deployable entities in this domain.
`anyType` | `library` 0...∞ Privileges: Read only MBean Attribute: `DomainMBean.`
`anyType` | `domain-library` 0...∞ Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`anyType` | `ws-reliable-delivery-policy` 0...∞ Define wSReliableDeliveryPolicies for this Domain Privileges: Read only MBean Attribute: `DomainMBean.`
`anyType` | `jdbc-data-source-factory` 0...∞ Define JDBCDataSourceFactories for this Domain Privileges: Read only MBean Attribute: `DomainMBean.`
`anyType` | `machine` 0...∞ Define machines for this Domain Privileges: Read only MBean Attribute: `DomainMBean.`
`anyType` | `xml-entity-cache` 0...∞ Returns all the XMLEntityCache objects defined in this domain Privileges: Read only Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`anyType` | `xml-registry` 0...∞ Define xMLRegistries for this Domain Privileges: Read only MBean Attribute: `DomainMBean.`
`anyType` | `file-realm` 0...∞
`anyType` | `caching-realm` 0...∞
`anyType` | `realm` 0...∞
`anyType` | `password-policy` 0...∞
`anyType` | `custom-realm` 0...∞
`anyType` | `ldap-realm` 0...∞
`anyType` | `nt-realm` 0...∞
`anyType` | `rdbms-realm` 0...∞
`anyType` | `unix-realm` 0...∞
`anyType` | `jms-server` 0...∞ Define JMSServers for this Domain Privileges: Read only MBean Attribute: `DomainMBean.`
`anyType` | `virtual-host` 0...∞ Define VirtualHosts for this Domain Privileges: Read only MBean Attribute: `DomainMBean.`
`anyType` | `migratable-target` 0...∞
`anyType` | `ejb-container` optional
`anyType` | `web-app-container` optional Collection of global properties to be applied on all webapps in this domain.
`anyType` | `jmx` optional The configuration of the JMX Subsystem.
`anyType` | `self-tuning` optional Get the WorkManager configuration pieces for this domain Privileges: Read only MBean Attribute: `DomainMBean.`
`anyType` | `path-service` 0...∞
`anyType` | `jms-bridge-destination` 0...∞ Return the JMSBridgeDestinations for this Domain.
`anyType` | `bridge-destination` 0...∞ Return the BridgeDestinations for this Domain.
`anyType` | `shutdown-class` 0...∞ Retrieve ShutdownClasses for this Domain Privileges: Read only MBean Attribute: `DomainMBean.`
`anyType` | `startup-class` 0...∞ Retrieve StartupClasses for this Domain Privileges: Read only MBean Attribute: `DomainMBean.`
`anyType` | `mail-session` 0...∞ Retrieve MailSessions for this Domain Privileges: Read only MBean Attribute: `DomainMBean.`
`anyType` | `jolt-connection-pool` 0...∞ Return the JoltConnectionPools for this Domain.
`anyType` | `log-filter` 0...∞ Gets the array of log filters defined in the domain Privileges: Read only MBean Attribute: `DomainMBean.`
`anyType` | `file-store` 0...∞ Return file stores defined in this domain Privileges: Read only MBean Attribute: `DomainMBean.`
`anyType` | `jdbc-store` 0...∞ Return file stores defined in this domain Privileges: Read only MBean Attribute: `DomainMBean.`
`anyType` | `jms-interop-module` 0...∞ Returns the JMS Interop Module that have been defined for this domain.
`anyType` | `jms-system-resource` 0...∞ Returns the JMSSystemResourceMBeans that have been defined for this domain.
`anyType` | `custom-resource` 0...∞ Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`anyType` | `foreign-jndi-provider` 0...∞
`string` | `admin-server-name` optional Privileges: Read/Write Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`annonymous type derived from string` | `administration-protocol` optional The default protocol for communicating through the administration port or administration channels.
`anyType` | `wldf-system-resource` 0...∞ Returns the WLDFSystemResourceMBeans that have been defined for this domain.
`anyType` | `jdbc-system-resource` 0...∞ Returns the JDBCSystemResourceMBeans that have been defined for this domain Privileges: Read only MBean Attribute: `DomainMBean.`
`anyType` | `saf-agent` 0...∞ Get SAFAgentMBean for this Domain Privileges: Read only MBean Attribute: `DomainMBean.`
`anyType` | `wlec-connection-pool` 0...∞ Get WLECConnectionPools for this Domain Privileges: Read only Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`anyType` | `error-handling` 0...∞ Get ErrorHandlingMBean for this Domain Privileges: Read only Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`anyType` | `remote-saf-context` 0...∞ Get RemoteSAFContextMBean for this Domain Privileges: Read only Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`anyType` | `migratable-rmi-service` 0...∞
`anyType` | `webservice-security` 0...∞ Privileges: Read only MBean Attribute: `DomainMBean.`
`anyType` | `jms-connection-consumer` 0...∞
`boolean` | `auto-deploy-for-submodules-enabled` optional A WebLogic Domain is a group of servers and/or clusters which are administered as a group.

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 9.1